This site uses cookies! Learn More

Ce site utilise des cookies !

En continuant à utiliser ce site, vous vous engagez à nous permettre de stocker des cookies sur votre ordinateur.

 

Si nous utilisons des cookies et retenons des données anonymes, c’est pour nous aider à mieux gérer notre mesure d’audience, aider nos partenaires commerciaux à nous rémunérer et nos partenaires publicitaires à proposer des annonces qui vous correspondent.

 

Grâce à ces cookies, le forum est en mesure de savoir qui écrit un message et utile pour le système d'authentification.

 

En cliquant sur « J'accepte », vous acceptez l'utilisation par NAS-Forum de cookies publicitaires et de mesure d'audience fine.

Geoff1330

Membres
  • Compteur de contenus

    135
  • Inscription

  • Dernière visite

  • Jours gagnés

    3

Geoff1330 a gagné pour la dernière fois le 16 novembre

Geoff1330 a eu le contenu le plus aimé !

À propos de Geoff1330

Visiteurs récents du profil

1 661 visualisations du profil

Geoff1330's Achievements

Apprentice

Apprentice (3/14)

  • Dedicated Rare
  • Conversation Starter Rare
  • First Post Rare
  • Collaborator Rare
  • One Year In Rare

Recent Badges

7

Réputation sur la communauté

  1. Geoff1330

    [TUTO] Docker : Introduction

    Bonjour, Est-il possible de planifier un arrêt/démarrage d'un container? J'ai des containers qui non pas besoin de tourner H24. Merci [EDIT] J'ai trouvé. J'ai créé une tache dans le planificateur du DSM avec les commandes docker start /le nom du countainer/ docker stop /le nom du countainer/ Ce n’était donc pas très bien compliqué
  2. Geoff1330

    [TUTO] Docker : Introduction

    Je vais faire un Tuto pour @MilesTEG1 et en même temps, cela me permettra de retrouver la procédure au besoin.
  3. Geoff1330

    [TUTO] Docker : Introduction

    @.Shad. test effectué. Cela fonctionne en -- network bridge et avec la règle dans le pare-feu Merci pour tout ces détails, cela me permet de comprendre encore mieux comment dockers fonctionne et surtout les commande ssh
  4. Geoff1330

    [TUTO] Docker : Introduction

    @.Shad. effectivement, j'ai pas de règle dans le pare-feu sur le 172.17.0.0 Je vais faire cela et faire un test. @MilesTEG1 pour le moment je peux juste te dire qu'il reprend les photos en frac et que tu peux les classer dans des dossier genre Année/Mois/jour. (Mais il y a plein d'option que je n'ai pas encore regardé. déjà le faire fonctionner etait du sport ) Aussi, il prend tout ce qui est dans iCloud et compare a chaque connexion: si tu modifies un truc, je pense qu'il le fait aussi.
  5. Geoff1330

    [TUTO] Docker : Introduction

    Le 10.0.1.1 est bien l'IP de mon routeur. Quand j'avais ce DNS dans le docker, cela ne fonctionnait pas. Nous avions essayé en faisant un DNS 127...: 2021-09-21 17:55:24 INFO DNS server: 127.0.0.11 2021-09-21 17:55:24 ERROR Cannot find icloud.com IP address. Please check your DNS settings 2021-09-21 17:55:29 ERROR No route to icloud.com found. Please check your container's network settings
  6. Geoff1330

    [TUTO] Docker : Introduction

    @.Shad. Merci pour c'est information. Effectivement, on a beaucoup chercher avec le dns du docker ect. Je viens de revoir le paragraphe sur le sujet dans ton tuto. Je vais faire des tests, maintenant que je sais que l'apps fonctionne. docker0 Link encap:Ethernet HWaddr 02:42:62:DE:D7:07 inet addr:172.17.0.1 Bcast:172.17.255.255 Mask:255.255.0.0 inet6 addr: fe80::42:62ff:fede:d707/64 Scope:Link UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1 RX packets:3002401 errors:0 dropped:0 overruns:0 frame:0 TX packets:801030 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:0 RX bytes:8166854992 (7.6 GiB) TX bytes:61933391 (59.0 MiB) docker-25 Link encap:Ethernet HWaddr 02:42:80:BF:BF:3E inet addr:172.18.0.1 Bcast:172.18.255.255 Mask:255.255.0.0 inet6 addr: fe80::42:80ff:febf:bf3e/64 Scope:Link UP BROADCAST MULTICAST MTU:1500 Metric:1 RX packets:15 errors:0 dropped:0 overruns:0 frame:0 TX packets:14 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:0 RX bytes:764 (764.0 B) TX bytes:2946 (2.8 KiB) docker3b0 Link encap:Ethernet HWaddr 56:60:F4:62:10:93 inet6 addr: fe80::5460:f4ff:fe62:1093/64 Scope:Link UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1 RX packets:2856680 errors:0 dropped:0 overruns:0 frame:0 TX packets:768194 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:0 RX bytes:7785028000 (7.2 GiB) TX bytes:58940916 (56.2 MiB) J'ai plusieurs paramètres Docker, pourquoi? Dans le docker icloudpd, problème du dns était ici 2021-09-21 14:05:26 INFO LAN IP Address: 172.17.0.3 2021-09-21 14:05:26 INFO Default gateway: 172.17.0.1 2021-09-21 14:05:26 INFO DNS server: 10.0.1.1 2021-09-21 14:05:26 ERROR Cannot find icloud.com IP address. Please check your DNS settings 2021-09-21 14:05:31 ERROR No route to icloud.com found. Please check your container's network settings Si je comprend bien, je devrais avoir un DNS en 172.17.0.1 ?
  7. Geoff1330

    [TUTO] Docker : Introduction

    @.Shad. si, mais c'est réglé Le problème était que le conteneur n'avait pas accès à icloud.com. Cela a été résolut avec " -- Network host " Et donc avec ce docker, j'ai une copie sur le NAS des photos venant d'iCloud automatiquement. Avant j'utilisais "moment", mais cela m’obligeait de démarrer l'app régulièrement pour exécuté la sauvegarde.
  8. Geoff1330

    [TUTO] Docker : Introduction

    @oracle7 Merci pour l'info. J'avais déjà un PW de plus de 20 caractères, voilà que je vais le changer pour encore plus EDIT Même en changent le mdp, cela ne fonctionne pas J'ai ouvert un ticket sur Github
  9. Geoff1330

    [TUTO] Docker : Introduction

    J'ai trouvé ça dans un post: boredazfcuk commented 5 days ago Do you have any non-alphanumeric characters in your password that may mess up Linux? Like: ’”[]{}?* etc.? et j'ai ça dans mon mot de passe...
  10. Geoff1330

    [TUTO] Docker : Introduction

    @.Shad. J'ai changé et toujours en erreur... Je pense que je vais l'abandonner
  11. Geoff1330

    [TUTO] Docker : Introduction

    @.Shad. Merci pour la command, j'ai pas trop compris la différence. Cela dit, comme je pouvais mis attendre, cela n'a pas fonctionné. Du coup, j'ai réessayé, mais j'ai des erreurs et je ne suis pas sur que je puisse résoudre cela: root@TheBoss:~# docker create \ > --name icloudpd \ > --restart unless-stopped \ > -e user=Geoff \ > -e user_id=1026 \ > -e group=users \ > -e group_id=100 \ > -e apple_id=geoff*****@gmail.com \ > -e authentication_type=Web \ > -e folder_structure={:%Y} \ > -e auto_delete=true \ > -e synchronisation_interval=86400 \ > -e TZ=Europe/Paris \ > -v /volume1/docker/iCloud/config:/config \ > -v /volume1/photo/iCloud:/home/Geoff/iCloud \ > boredazfcuk/icloudpd 0937be5e5dbf84519b19cd10c36ec9025ffee1441837093f2e892ba51de48019 root@TheBoss:~# dosker exec -it icloudpd sync-icloud.sh --Initialise 2021-09-20 15:27:45 INFO ***** boredazfcuk/icloudpd container for icloud_photo_downloader started ***** 2021-09-20 15:27:45 INFO ***** /usr/local/bin/sync-icloud.sh date: 2021/09/16_00:40 ***** 2021-09-20 15:27:45 INFO ***** /usr/local/bin/sync-icloud.sh hash: 5a180ee43ca07a00a70080c9d969dcad ***** 2021-09-20 15:27:45 INFO Alpine Linux 3.13.5 2021-09-20 15:27:45 INFO Python version: 3.8.10 2021-09-20 15:27:45 INFO icloudpd version: 1.7.2 2021-09-20 15:27:52 INFO pyicloud-ipd version: 0.10.1 2021-09-20 15:27:59 INFO Running user id: 0 2021-09-20 15:27:59 INFO Running group id: 0 2021-09-20 15:27:59 INFO Local user: Geoff:1026 2021-09-20 15:27:59 INFO Local group: users:100 2021-09-20 15:27:59 INFO Force GID: False 2021-09-20 15:27:59 INFO LAN IP Address: 172.17.0.3 2021-09-20 15:27:59 INFO Apple ID: geoff******@gmail.com 2021-09-20 15:27:59 INFO Authentication Type: Web 2021-09-20 15:27:59 INFO Cookie path: /config/geoff*****gmailcom 2021-09-20 15:27:59 INFO Cookie expiry notification period: 7 2021-09-20 15:27:59 INFO Download destination directory: /home/Geoff/iCloud 2021-09-20 15:27:59 INFO Folder structure: {:%Y} 2021-09-20 15:27:59 INFO Directory permissions: 750 2021-09-20 15:27:59 INFO File permissions: 640 2021-09-20 15:27:59 INFO Synchronisation interval: 86400 2021-09-20 15:27:59 INFO Synchronisation delay (minutes): 0 2021-09-20 15:27:59 INFO Time zone: Europe/Paris 2021-09-20 15:27:59 INFO Set EXIF date/time: False 2021-09-20 15:27:59 INFO Auto delete: true 2021-09-20 15:27:59 INFO Photo size: original 2021-09-20 15:27:59 INFO Skip download check: False 2021-09-20 15:27:59 INFO Skip live photos: False 2021-09-20 15:27:59 INFO Number of most recently added photos to download: Download All Photos 2021-09-20 15:27:59 INFO Stop downloading when prexisiting files count is: Download All Photos 2021-09-20 15:27:59 INFO Live photo size: original 2021-09-20 15:27:59 INFO Skip videos: False 2021-09-20 15:27:59 INFO Convert HEIC to JPEG: False 2021-09-20 15:27:59 INFO JPEG conversion quality: 90 2021-09-20 15:27:59 INFO Script launch parameters: --Initialise 2021-09-20 15:27:59 INFO Group, users:100, already created 2021-09-20 15:27:59 INFO User, Geoff:1026, already created 2021-09-20 15:27:59 INFO Set owner, Geoff, on iCloud directory, if required 2021-09-20 15:27:59 INFO Set group, users, on iCloud directory, if required 2021-09-20 15:27:59 INFO Correct owner on icloudpd temp directory, if required 2021-09-20 15:27:59 INFO Correct group on icloudpd temp directory, if required 2021-09-20 15:27:59 INFO Correct owner on config directory, if required 2021-09-20 15:27:59 INFO Correct group on config directory, if required 2021-09-20 15:27:59 INFO Correct owner on keyring directory, if required 2021-09-20 15:27:59 INFO Correct group on keyring directory, if required 2021-09-20 15:27:59 INFO Set 750 permissions on iCloud directories, if required 2021-09-20 15:27:59 INFO Set 640 permissions on iCloud files, if required 2021-09-20 15:27:59 INFO Configure password 2021-09-20 15:27:59 INFO Adding password to keyring file: /config/python_keyring/keyring_pass.cfg Enter iCloud password for geoff*****@gmail.com: Traceback (most recent call last): File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 169, in _new_conn conn = connection.create_connection( File "/usr/lib/python3.8/site-packages/urllib3/util/connection.py", line 73, in create_connection for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM): File "/usr/lib/python3.8/socket.py", line 918, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno -3] Try again During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen httplib_response = self._make_request( File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 382, in _make_request self._validate_conn(conn) File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 1010, in _validate_conn conn.connect() File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 353, in connect conn = self._new_conn() File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 181, in _new_conn raise NewConnectionError( urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x7f9470222d60>: Failed to establi sh a new connection: [Errno -3] Try again During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 439, in send resp = conn.urlopen( File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 755, in urlopen retries = retries.increment( File "/usr/lib/python3.8/site-packages/urllib3/util/retry.py", line 573, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause)) urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='setup.icloud.com', port=443): Max retries exceeded with url : /setup/ws/1/login?clientBuildNumber=17DHotfix5&clientMasteringNumber=17DHotfix5&ckjsBuildVersion=17DProjectDev77&ckjs Version=2.0.5&clientId=9F58BB24-1A16-11EC-B5E5-0242AC110003 (Caused by NewConnectionError('<urllib3.connection.HTTPSCon nection object at 0x7f9470222d60>: Failed to establish a new connection: [Errno -3] Try again')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/icloud", line 33, in <module> sys.exit(load_entry_point('pyicloud-ipd==0.10.1', 'console_scripts', 'icloud')()) File "/usr/lib/python3.8/site-packages/pyicloud_ipd/cmdline.py", line 200, in main api = pyicloud_ipd.PyiCloudService( File "/usr/lib/python3.8/site-packages/pyicloud_ipd/base.py", line 193, in __init__ self.authenticate() File "/usr/lib/python3.8/site-packages/pyicloud_ipd/base.py", line 209, in authenticate req = self.session.post( File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 590, in post return self.request('POST', url, data=data, json=json, **kwargs) File "/usr/lib/python3.8/site-packages/pyicloud_ipd/base.py", line 68, in request response = super(PyiCloudSession, self).request(*args, **kwargs) File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 542, in request resp = self.send(prep, **send_kwargs) File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 655, in send r = adapter.send(request, **kwargs) File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 516, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPSConnectionPool(host='setup.icloud.com', port=443): Max retries exceeded with url: /setup/ws/1/login?clientBuildNumber=17DHotfix5&clientMasteringNumber=17DHotfix5&ckjsBuildVersion=17DProjectDev77&c kjsVersion=2.0.5&clientId=9F58BB24-1A16-11EC-B5E5-0242AC110003 (Caused by NewConnectionError('<urllib3.connection.HTTPS Connection object at 0x7f9470222d60>: Failed to establish a new connection: [Errno -3] Try again')) 2021-09-20 15:28:25 INFO Correct owner on config directory, if required 2021-09-20 15:28:25 INFO Correct group on config directory, if required 2021-09-20 15:28:25 INFO Generate 2FA cookie using password stored in keyring file. iCloud Password: Traceback (most recent call last): File "/usr/lib/python3.8/site-packages/icloudpd-1.7.2-py3.8.egg/icloudpd/authentication.py", line 29, in authenticate icloud = pyicloud_ipd.PyiCloudService( File "/usr/lib/python3.8/site-packages/pyicloud_ipd/base.py", line 141, in __init__ password = get_password_from_keyring(apple_id) File "/usr/lib/python3.8/site-packages/pyicloud_ipd/utils.py", line 40, in get_password_from_keyring raise NoStoredPasswordAvailable( pyicloud_ipd.exceptions.NoStoredPasswordAvailable: No pyicloud password for geoffroy.mail@gmail.com could be found in the system keychain. Use the `--store-in-keyring` command-line option for storing a password for this username. During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 169, in _new_conn conn = connection.create_connection( File "/usr/lib/python3.8/site-packages/urllib3/util/connection.py", line 73, in create_connection for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM): File "/usr/lib/python3.8/socket.py", line 918, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno -3] Try again During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen httplib_response = self._make_request( File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 382, in _make_request self._validate_conn(conn) File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 1010, in _validate_conn conn.connect() File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 353, in connect conn = self._new_conn() File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 181, in _new_conn raise NewConnectionError( urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x7fdc7bd7b460>: Failed to establish a new connection: [Errno -3] Try again During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 439, in send resp = conn.urlopen( File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 755, in urlopen retries = retries.increment( File "/usr/lib/python3.8/site-packages/urllib3/util/retry.py", line 573, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause)) urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='setup.icloud.com', port=443): Max retries exceeded with url: /setup/ws/1/login?clientBuildNumber=17DHotfix5&clientMasteringNumber=17DHotfix5&ckjsBuildVersion=17DProjectDev77&ckjsVersion=2.0.5&clientId=DBE0B03C-1A17-11EC-B014-0242AC110003 (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7fdc7bd7b460>: Failed to establish a new connection: [Errno -3] Try again')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/icloudpd", line 33, in <module> sys.exit(load_entry_point('icloudpd==1.7.2', 'console_scripts', 'icloudpd')()) File "/usr/lib/python3.8/site-packages/click/core.py", line 722, in __call__ return self.main(*args, **kwargs) File "/usr/lib/python3.8/site-packages/click/core.py", line 697, in main rv = self.invoke(ctx) File "/usr/lib/python3.8/site-packages/click/core.py", line 895, in invoke return ctx.invoke(self.callback, **ctx.params) File "/usr/lib/python3.8/site-packages/click/core.py", line 535, in invoke return callback(*args, **kwargs) File "/usr/lib/python3.8/site-packages/icloudpd-1.7.2-py3.8.egg/icloudpd/base.py", line 255, in main icloud = authenticate( File "/usr/lib/python3.8/site-packages/icloudpd-1.7.2-py3.8.egg/icloudpd/authentication.py", line 36, in authenticate icloud = pyicloud_ipd.PyiCloudService( File "/usr/lib/python3.8/site-packages/pyicloud_ipd/base.py", line 193, in __init__ self.authenticate() File "/usr/lib/python3.8/site-packages/pyicloud_ipd/base.py", line 209, in authenticate req = self.session.post( File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 590, in post return self.request('POST', url, data=data, json=json, **kwargs) File "/usr/lib/python3.8/site-packages/pyicloud_ipd/base.py", line 68, in request response = super(PyiCloudSession, self).request(*args, **kwargs) File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 542, in request resp = self.send(prep, **send_kwargs) File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 655, in send r = adapter.send(request, **kwargs) File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 516, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPSConnectionPool(host='setup.icloud.com', port=443): Max retries exceeded with url: /setup/ws/1/login?clientBuildNumber=17DHotfix5&clientMasteringNumber=17DHotfix5&ckjsBuildVersion=17DProjectDev77&ckjsVersion=2.0.5&clientId=DBE0B03C-1A17-11EC-B014-0242AC110003 (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7fdc7bd7b460>: Failed to establish a new connection: [Errno -3] Try again')) 2021-09-20 15:37:17 INFO Web cookie generated. Sync should now be successful. root@TheBoss:~#
  12. Geoff1330

    [TUTO] Docker : Introduction

    @oracle7 Ah zut, j'ai vu trop tard ton commentaire J'y penserai pour la prochaine fois. @.Shad. Quand j'essaye de demarrer le docker: root@TheBoss:~# docker start icloudpd Error response from daemon: network containers not found Error: failed to start containers: icloudpd
  13. Geoff1330

    [TUTO] Docker : Introduction

    Merci @.Shad. Effectivement, j'avais vue pour le mot de passe Je vais donc essayer cela.
  14. Geoff1330

    [TUTO] Docker : Introduction

    Bonjour, Je voudrais tester un docker, celui-ci doit être installé par ligne de commande. Cela est une grande première pour moi. Je me permet de vous demandez si mes paramètres semble être bon ou pas. (Si vous préférez que je créer un nouveau post, merci de me le signaler ). Voici le docker en question: https://github.com/boredazfcuk/docker-icloudpd Dans le lien, voici un exemple de config: docker create \ --name iCloudPD-boredazfcuk \ --hostname icloudpd_boredazfcuk \ --network containers \ --restart=always \ --env user=boredazfcuk \ --env user_id=1000 \ --env group=admins \ --env group_id=1010 \ --env apple_id=thisisnotmy@email.com \ --env apple_password="neitheristhismypassword" \ --env authentication_type=2FA \ --env notification_type=Telegram \ --env telegram_token=123654 \ --env telegram_chat_id=456321 \ --env folder_structure={:%Y} \ --env auto_delete=True \ --env notification_days=14 \ --env synchronisation_interval=21600 \ --env TZ=Europe/London \ --volume icloudpd_boredazfcuk_config:/config \ --volume /home/boredazfcuk/iCloud:/home/boredazfcuk/iCloud \ boredazfcuk/icloudpd Dans le tuto de .Shad. la structure change un peu, j'ai donc refait le code avec déjà quelques infos me concernant: docker create \ --name iCloudPD \ --network containers \ --restart=always \ -e PUID=1026 \ -e PGID=101 \ -e apple_id=thisisnotmy@email.com \ -e apple_password="neitheristhismypassword" \ -e authentication_type=Web \ -e folder_structure={:%Y} \ -e auto_delete=True \ -e synchronisation_interval=86400 \ -e TZ=Europe/Paris \ -v /docker/iCloud/config:/config \ -v /photo/test:/photo/test \ boredazfcuk/icloudpd Est-ce que celui-ci vous semble bon? - Quel est la différence entre les lignes avec deux " -- " et celle avec un seul " - "? - ai-je bien fait de remplacer les "-env group et user" par "PGID/PUID" ? Si ceci est correct, je suppose que je dois me connecté en ssh avec Putty sur le nas, me mettre en sudo et balancer ce script? (désolé pour la question, comme dit plus haut, c'est la première fois pour moi. il y a un début à tout ) Merci pour votre aide.